
Figure - Bug #117075
【BSP】【VC1】【EVT3】【ST】【TP】当屏幕与设备分别供电，设备启动后，单独断开屏幕电源，再次上电
时，屏幕不显示
2023-03-21 18:03 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-03-21

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 90%

Category: BSP Estimated time: 0.00 hour

Target version: VC1_FSE_0086_20230328

Need_Info: -- Found Version: 0082

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 断电重启未做初始化

Description

【前提条件】

None

【测试步骤】

1.烧写0082版本

2.将屏幕电源断开

3.重新给屏幕供电

【预期结果】

3.屏幕上电后可以正常显示

【实际结果】

3.重新上电后，黑屏不显示

History

#1 - 2023-03-22 10:25 - CD BSP-杜磊

- Status changed from New to NEED_INFO

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 90

- Resolution changed from -- to FIXED

- Root cause set to 断电重启未做初始化

Hi, 刘强，

请用如下ＶＢ进行验证测试：

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230321/202303212027-3028

VC1和VX1 冷热插拔，以及lcd单独供电后重新上电能否恢复显示，ＴＰ能否正常使用。

#2 - 2023-03-22 16:38 - 移动测试一组_CDTS 刘强

- File Display.txt added

- Assignee changed from 移动测试一组_CDTS 刘强 to CD BSP-杜磊
验证结果：

VX1

1. 连接屏幕后开机屏保-息屏唤醒：

A. 熄屏，点击唤醒正常

B. 屏保，点击唤醒正常

C. 设备重启后，熄屏，点击唤醒正常

D. 设备重启后，屏保，点击唤醒正常

E. 热插拔显示线，正常显示，熄屏，点击唤醒正常；屏保，点击唤醒正常

F. 断开显示器电源-重新连接，显示恢复正常，熄屏，点击唤醒正常；屏保，点击唤醒正常

G. 开机过程中反复，断开显示器电源-插拔10次，可以正常恢复显示，开机后熄屏，点击唤醒正常；屏保，点击唤醒正常

H. 开机过程中反复，断开显示器连接线-插拔5次，可以正常恢复显示，开机后熄屏，点击唤醒正常；屏保，点击唤醒正常

VC1 (未更新硬件)

开机后，一会黑屏、一会亮屏

VC1 (更新过硬件)

1. 连接屏幕后开机屏保-息屏唤醒：

A. 熄屏，点击唤醒正常

B. 屏保，点击唤醒正常

C. 设备重启后，熄屏，点击唤醒正常

D. 设备重启后，屏保，点击唤醒正常

E. 热插拔显示线，屏幕会亮灭屏两次

日志已经上传

#3 - 2023-03-23 09:57 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

由于VC1 老的lcd控制器无法获取屏幕状态，移除异常状态恢复功能

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230322/202303222307-3051

#4 - 2023-03-23 14:35 - CDTS_TEST 王成

- Target version set to VC1_FSE_0086_20230328

#5 - 2023-03-24 14:06 - 移动测试一组_CDTS 刘强

- File display_324.txt added

Hi all

使用VB版本测试结果如下

VC1（更新过硬件）

拔插显示供电速度较慢时，间隔5秒左右，屏幕可以正常点亮。

当间隔速度较快时，屏幕无法点亮

日志已上传

上述问题在VX上不复现

VX

在设备熄屏或屏保状态下，拔插显示器电源，设备点亮后直接进入home

日志为：Display_324_VX

上述问题在VC上不复现。
#6 - 2023-03-24 15:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188874 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:Display: Fix no display when lcm powerup againWhen lcm powerup again, lcd can't displayTC-RID: 1201-0100501IssueID: TS-R-DF-117075Change-Id:

Ia0ddf3214c52015e85d9dc445fd9faa6c6516a11

#7 - 2023-03-24 18:16 - 移动测试一组_CDTS 刘强

- File display_324_VX.txt added

#8 - 2023-03-24 18:51 - CD BSP-杜磊

- Status changed from NEED_INFO to RESOLVED

#9 - 2023-03-28 14:53 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：0086

VC 更新过控制器新屏幕：

1. 息屏、屏保点击唤醒ok

2. 热插拔连接线后会黑屏闪两次>> 是因为连接线异常后会初始化一次

3. 屏幕单独断电-上电，可以恢复，恢复后屏幕、熄屏点击唤醒ok

4. 设备重启屏幕显示、触控ok

VX 屏幕：

1. 息屏、屏保点击唤醒ok

2. 热插拔连接线OK

3. 屏幕单独断电-上电，可以恢复，但是恢复后会直接亮屏，与VC不一致>> VX、VC处理机制不一样

4. 设备重启屏幕显示、触控ok

VC 未更新控制器屏

后续不接触未更新屏的bug，因此不再关注

综上关闭次issue

#10 - 2023-03-28 14:53 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

Display.txt 2.04 MB 2023-03-22 移动测试一组_CDTS 刘强

display_324.txt 1.81 MB 2023-03-24 移动测试一组_CDTS 刘强

display_324_VX.txt 3.37 MB 2023-03-24 移动测试一组_CDTS 刘强
